<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('horariosrecesos', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->time('comienzo');
            $table->time('fin');
            $table->foreignId('diadeatencion_id')
                  ->constrained('diasdeatenciones')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('horariosrecesos');
    }
};
